LibreOffice LibreOffice 6.0 SDK API Reference

Modules | Variables
IndexType.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdbc
| Database component interfaces.

## Constant Groups
constants | com::sun::star::sdbc::IndexType
| indicates the type of index.

## Variables
const short | STATISTIC = 0
| A possible value for column `TYPE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getIndexInfo(). More...
const short | CLUSTERED = 1
| A possible value for column `TYPE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getIndexInfo(). More...
const short | HASHED = 2
| A possible value for column `TYPE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getIndexInfo(). More...
const short | OTHER = 3
| A possible value for column `TYPE` in the com::sun::star::sdbc::XResultSet object returned by the method com::sun::star::sdbc::XDatabaseMetaData::getIndexInfo(). More...